/*
	dlllib.h
	(for C/C++)

	DLLの呼び出しを行い、以前に呼び出されたDLLであれば、同じハンドルを返します。
	解放の指示があったときに、いっきに解放します。
*/

#ifdef __cplusplus

#define EXTERN extern "C"

#else /* __cplusplus */

#define EXTERN extern

#endif /* __cplusplus */

EXTERN HMODULE LoadDllLibrary( const char *dll );
EXTERN void FreeDllLibrary( void );
